Skip to main content
POST
/
avatar-videos
/
generate
Generate avatar video
curl --request POST \
  --url https://api.smartlyq.com/v1/avatar-videos/generate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "script": "Hello from SmartlyQ.",
  "avatar_id": "Daisy-inskirt-20220818",
  "voice_id": "2d5b0e6cf36f460aa7fc47e3eee4ba54",
  "dimension": "1920x1080"
}
'
{
  "success": true,
  "data": {
    "job_uid": "hg_a1b2c3d4e5f6",
    "status": "queued"
  },
  "usage": {
    "units": 1,
    "cost": "12.0000",
    "balance_remaining": "88.0000"
  }
}

Authorizations

Authorization
string
header
required

API key from Developer dashboard (Bearer token).

Body

application/json
script
string
required

Text the avatar will speak.

avatar_id
string
required

Avatar id from GET /v1/avatar-videos/avatars.

voice_id
string
required

Voice id from GET /v1/avatar-videos/voices.

dimension
string
default:1920x1080

Output resolution WxH.

title
string

Optional title for the render.

Response

Accepted — poll GET /v1/avatar-videos/{uid} for result

The response is of type object.